Bug 749701 - gamin watching parents of targeted directory instead of just the targeted directory
gamin watching parents of targeted directory instead of just the targeted dir...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gamin (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-27 20:55 EDT by Rick Stevens
Modified: 2015-03-03 18:02 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 14:53:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rick Stevens 2011-10-27 20:55:53 EDT
Description of problem:
gamin reports changes to directories not being monitored

Version-Release number of selected component (if applicable):
gamin-0.1.10-8.fc14.x86_64 (also seen on F15 and CentOS 5.x and 6.0)

How reproducible:
Always

Steps to Reproduce:
1. Call FAMMonitorDirectory() with a path to a non-existent directory, say "/tmp/test/dir1"
2. Create a file in /tmp/test, e.g. "touch /tmp/test/testfile"
3.
  
Actual results:
gamin reports "testfile" as being created even though you were NOT watching that directory, but a directory below it (which doesn't even exist yet).

Expected results:
I would expect no response from gamin, since the file was not created in the directory that was being monitored.

Additional info:
Ordinarily I would use inotify for this sort of thing, but we have some specific needs (e.g. a filesystem that doesn't support inotify).

It appears that gamin watches the entire path up to the directory you're trying to monitor, not just the directory you specified.  If this is expected behaviour, it should be noted as such in the man pages.  In fact, there ARE no man pages for gamin except a veiled reference to go to the SGI website.
Comment 1 Fedora End Of Life 2012-08-07 14:53:40 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.